Page MenuHomePhabricator

[ELF] [HEXAGON] Let input determine ELF header e_flags
ClosedPublic

Authored by sidneym on Oct 12 2018, 9:45 AM.

Diff Detail

Repository
rLLD LLVM Linker

Event Timeline

sidneym created this revision.Oct 12 2018, 9:45 AM
ruiu added inline comments.Oct 12 2018, 9:51 AM
ELF/Arch/Hexagon.cpp
59

I don't think you need to define this function -- you can just inline.

73

Target is a bit weird name. Maybe just Ret.

sidneym updated this revision to Diff 169496.Oct 12 2018, 2:50 PM

Update following Rui's suggestions.

ruiu added a comment.Oct 12 2018, 2:52 PM

Can you add a test?

sidneym updated this revision to Diff 169637.Oct 14 2018, 6:35 PM

Add testcase

ruiu accepted this revision.Oct 14 2018, 7:58 PM

LGTM

test/ELF/hexagon-eflag.s
5

Remove an extraneous space.

6

Ditto

9

FileCheck doesn't distinguish 2 or more spaces from a single space, so please remove extraneous spaces between "Flags:" and 0x62.

This revision is now accepted and ready to land.Oct 14 2018, 7:58 PM
sidneym marked 3 inline comments as done.Oct 15 2018, 7:33 AM
This revision was automatically updated to reflect the committed changes.